<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.7"/>
<title>Framework: framework::gui::DataPlot Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="logo_hds.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">Framework
   </div>
   <div id="projectbrief">Framework drone</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.7 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('classframework_1_1gui_1_1_data_plot.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Namespaces</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&#160;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&#160;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&#160;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&#160;</span>Typedefs</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&#160;</span>Enumerations</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(8)"><span class="SelectionMark">&#160;</span>Enumerator</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(9)"><span class="SelectionMark">&#160;</span>Properties</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-types">Public Types</a> &#124;
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pro-methods">Protected Member Functions</a> &#124;
<a href="classframework_1_1gui_1_1_data_plot-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">framework::gui::DataPlot Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Abstract class to display plots on ground station.  
 <a href="classframework_1_1gui_1_1_data_plot.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="_data_plot_8h_source.html">DataPlot.h</a>&gt;</code></p>
<div id="dynsection-0" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-0-trigger" src="closed.png" alt="+"/> Inheritance diagram for framework::gui::DataPlot:</div>
<div id="dynsection-0-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-0-content" class="dyncontent" style="display:none;">
 <div class="center">
  <img src="classframework_1_1gui_1_1_data_plot.png" usemap="#framework::gui::DataPlot_map" alt=""/>
  <map id="framework::gui::DataPlot_map" name="framework::gui::DataPlot_map">
<area href="classframework_1_1gui_1_1_send_data.html" title="Abstract class for sending datas to ground station. " alt="framework::gui::SendData" shape="rect" coords="86,112,249,136"/>
<area href="classframework_1_1gui_1_1_widget.html" title="Abstract class for all Framework&#39;s widget classes. " alt="framework::gui::Widget" shape="rect" coords="86,56,249,80"/>
<area href="classframework_1_1core_1_1_object.html" title="Base class for all Framework&#39;s classes. " alt="framework::core::Object" shape="rect" coords="86,0,249,24"/>
<area href="classframework_1_1gui_1_1_data_plot1_d.html" title="Class displaying a 1D plot on the ground station. " alt="framework::gui::DataPlot1D" shape="rect" coords="0,224,163,248"/>
<area href="classframework_1_1gui_1_1_data_plot2_d.html" title="Class displaying a 2D plot on the ground station. " alt="framework::gui::DataPlot2D" shape="rect" coords="173,224,336,248"/>
</map>
 </div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-types"></a>
Public Types</h2></td></tr>
<tr class="memitem:ab8052b914d1b7330a7f0b12a7322bc1c"><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1gui_1_1_data_plot.html#ab8052b914d1b7330a7f0b12a7322bc1c">Color_t</a> { <br />
&#160;&#160;<a class="el" href="classframework_1_1gui_1_1_data_plot.html#ab8052b914d1b7330a7f0b12a7322bc1ca0d829f4fcfb4f1bc4c40d0b627f72aa3">Red</a>, 
<a class="el" href="classframework_1_1gui_1_1_data_plot.html#ab8052b914d1b7330a7f0b12a7322bc1ca8fab133d2d6300bcc7aa43519ba80d31">Blue</a>, 
<a class="el" href="classframework_1_1gui_1_1_data_plot.html#ab8052b914d1b7330a7f0b12a7322bc1ca1531d101862a5ea9626c0b4d2f329d6d">Green</a>, 
<a class="el" href="classframework_1_1gui_1_1_data_plot.html#ab8052b914d1b7330a7f0b12a7322bc1cad1b5c35eb68314a63fe481713e19306b">Yellow</a>, 
<br />
&#160;&#160;<a class="el" href="classframework_1_1gui_1_1_data_plot.html#ab8052b914d1b7330a7f0b12a7322bc1caa6d29b92e3e478fa0225edd23d91fcde">Black</a>, 
<a class="el" href="classframework_1_1gui_1_1_data_plot.html#ab8052b914d1b7330a7f0b12a7322bc1cab521d0c7c10ef458143b70cf0df83028">White</a>
<br />
 }</td></tr>
<tr class="memdesc:ab8052b914d1b7330a7f0b12a7322bc1c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Types of colors.  <a href="classframework_1_1gui_1_1_data_plot.html#ab8052b914d1b7330a7f0b12a7322bc1c">More...</a><br /></td></tr>
<tr class="separator:ab8052b914d1b7330a7f0b12a7322bc1c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_types_classframework_1_1core_1_1_object"><td colspan="2" onclick="javascript:toggleInherit('pub_types_classframework_1_1core_1_1_object')"><img src="closed.png" alt="-"/>&#160;Public Types inherited from <a class="el" href="classframework_1_1core_1_1_object.html">framework::core::Object</a></td></tr>
<tr class="memitem:a7201b52b50f64586d1ea82cc1f6a2e6f inherit pub_types_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a7201b52b50f64586d1ea82cc1f6a2e6f"></a>enum &#160;</td><td class="memItemRight" valign="bottom"><b>color_t</b> { <b>Auto</b> =0, 
<b>Red</b> =31, 
<b>Green</b> =32, 
<b>Orange</b> =33
 }</td></tr>
<tr class="separator:a7201b52b50f64586d1ea82cc1f6a2e6f inherit pub_types_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a0293190926424ca9b2ce78bbfe5e32c5"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1gui_1_1_data_plot.html#a0293190926424ca9b2ce78bbfe5e32c5">DataPlot</a> (const <a class="el" href="classframework_1_1gui_1_1_layout_position.html">LayoutPosition</a> *position, std::string name, std::string type)</td></tr>
<tr class="memdesc:a0293190926424ca9b2ce78bbfe5e32c5"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor.  <a href="#a0293190926424ca9b2ce78bbfe5e32c5">More...</a><br /></td></tr>
<tr class="separator:a0293190926424ca9b2ce78bbfe5e32c5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4f66d787b74b780d1c11460f0c7a888f"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1gui_1_1_data_plot.html#a4f66d787b74b780d1c11460f0c7a888f">~DataPlot</a> ()</td></tr>
<tr class="memdesc:a4f66d787b74b780d1c11460f0c7a888f"><td class="mdescLeft">&#160;</td><td class="mdescRight">Destructor.  <a href="#a4f66d787b74b780d1c11460f0c7a888f">More...</a><br /></td></tr>
<tr class="separator:a4f66d787b74b780d1c11460f0c7a888f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classframework_1_1gui_1_1_send_data"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classframework_1_1gui_1_1_send_data')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classframework_1_1gui_1_1_send_data.html">framework::gui::SendData</a></td></tr>
<tr class="memitem:aa5982c3e0fc611405a7dee2a7b2f553c inherit pub_methods_classframework_1_1gui_1_1_send_data"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1gui_1_1_send_data.html#aa5982c3e0fc611405a7dee2a7b2f553c">SendData</a> (const <a class="el" href="classframework_1_1gui_1_1_layout_position.html">LayoutPosition</a> *position, std::string name, std::string type, uint16_t default_periodms=100, bool default_enabled=false)</td></tr>
<tr class="memdesc:aa5982c3e0fc611405a7dee2a7b2f553c inherit pub_methods_classframework_1_1gui_1_1_send_data"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor.  <a href="#aa5982c3e0fc611405a7dee2a7b2f553c">More...</a><br /></td></tr>
<tr class="separator:aa5982c3e0fc611405a7dee2a7b2f553c inherit pub_methods_classframework_1_1gui_1_1_send_data"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4ad3437118d864ef8118f4a2b6cbb092 inherit pub_methods_classframework_1_1gui_1_1_send_data"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1gui_1_1_send_data.html#a4ad3437118d864ef8118f4a2b6cbb092">~SendData</a> ()</td></tr>
<tr class="memdesc:a4ad3437118d864ef8118f4a2b6cbb092 inherit pub_methods_classframework_1_1gui_1_1_send_data"><td class="mdescLeft">&#160;</td><td class="mdescRight">Destructor.  <a href="#a4ad3437118d864ef8118f4a2b6cbb092">More...</a><br /></td></tr>
<tr class="separator:a4ad3437118d864ef8118f4a2b6cbb092 inherit pub_methods_classframework_1_1gui_1_1_send_data"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad61c6d3c28a73c885c6abe582c1a0bf3 inherit pub_methods_classframework_1_1gui_1_1_send_data"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ad61c6d3c28a73c885c6abe582c1a0bf3"></a>
size_t&#160;</td><td class="memItemRight" valign="bottom"><b>SendSize</b> (void) const </td></tr>
<tr class="separator:ad61c6d3c28a73c885c6abe582c1a0bf3 inherit pub_methods_classframework_1_1gui_1_1_send_data"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a002d3a6bde703721e40846f7672066d4 inherit pub_methods_classframework_1_1gui_1_1_send_data"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a002d3a6bde703721e40846f7672066d4"></a>
uint16_t&#160;</td><td class="memItemRight" valign="bottom"><b>SendPeriod</b> (void) const </td></tr>
<tr class="separator:a002d3a6bde703721e40846f7672066d4 inherit pub_methods_classframework_1_1gui_1_1_send_data"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac692e312d8a1131339925ecb14e38329 inherit pub_methods_classframework_1_1gui_1_1_send_data"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ac692e312d8a1131339925ecb14e38329"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>IsEnabled</b> (void) const </td></tr>
<tr class="separator:ac692e312d8a1131339925ecb14e38329 inherit pub_methods_classframework_1_1gui_1_1_send_data"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classframework_1_1gui_1_1_widget"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classframework_1_1gui_1_1_widget')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classframework_1_1gui_1_1_widget.html">framework::gui::Widget</a></td></tr>
<tr class="memitem:aa22cbbef51bba4a41a387f2157de74be inherit pub_methods_classframework_1_1gui_1_1_widget"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1gui_1_1_widget.html#aa22cbbef51bba4a41a387f2157de74be">Widget</a> (const <a class="el" href="classframework_1_1gui_1_1_widget.html">Widget</a> *parent, std::string name, std::string type)</td></tr>
<tr class="memdesc:aa22cbbef51bba4a41a387f2157de74be inherit pub_methods_classframework_1_1gui_1_1_widget"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor.  <a href="#aa22cbbef51bba4a41a387f2157de74be">More...</a><br /></td></tr>
<tr class="separator:aa22cbbef51bba4a41a387f2157de74be inherit pub_methods_classframework_1_1gui_1_1_widget"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5828f9d29972aa861dc4a4fe21997499 inherit pub_methods_classframework_1_1gui_1_1_widget"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1gui_1_1_widget.html#a5828f9d29972aa861dc4a4fe21997499">~Widget</a> ()</td></tr>
<tr class="memdesc:a5828f9d29972aa861dc4a4fe21997499 inherit pub_methods_classframework_1_1gui_1_1_widget"><td class="mdescLeft">&#160;</td><td class="mdescRight">Destructor.  <a href="#a5828f9d29972aa861dc4a4fe21997499">More...</a><br /></td></tr>
<tr class="separator:a5828f9d29972aa861dc4a4fe21997499 inherit pub_methods_classframework_1_1gui_1_1_widget"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7fe633c500864d494e67ba9e5ab4e3cd inherit pub_methods_classframework_1_1gui_1_1_widget"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1gui_1_1_widget.html#a7fe633c500864d494e67ba9e5ab4e3cd">setEnabled</a> (bool status)</td></tr>
<tr class="memdesc:a7fe633c500864d494e67ba9e5ab4e3cd inherit pub_methods_classframework_1_1gui_1_1_widget"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set enabled.  <a href="#a7fe633c500864d494e67ba9e5ab4e3cd">More...</a><br /></td></tr>
<tr class="separator:a7fe633c500864d494e67ba9e5ab4e3cd inherit pub_methods_classframework_1_1gui_1_1_widget"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a472d499749ee9acadc1d446387cbbbe7 inherit pub_methods_classframework_1_1gui_1_1_widget"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1gui_1_1_widget.html#a472d499749ee9acadc1d446387cbbbe7">isEnabled</a> (void) const </td></tr>
<tr class="memdesc:a472d499749ee9acadc1d446387cbbbe7 inherit pub_methods_classframework_1_1gui_1_1_widget"><td class="mdescLeft">&#160;</td><td class="mdescRight">Is enabled?  <a href="#a472d499749ee9acadc1d446387cbbbe7">More...</a><br /></td></tr>
<tr class="separator:a472d499749ee9acadc1d446387cbbbe7 inherit pub_methods_classframework_1_1gui_1_1_widget"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classframework_1_1core_1_1_object"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classframework_1_1core_1_1_object')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classframework_1_1core_1_1_object.html">framework::core::Object</a></td></tr>
<tr class="memitem:a97617b01df8aedc07b2ba46ef4988994 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_object.html#a97617b01df8aedc07b2ba46ef4988994">Object</a> (const <a class="el" href="classframework_1_1core_1_1_object.html">Object</a> *parent=NULL, std::string name=&quot;&quot;, std::string type=&quot;&quot;)</td></tr>
<tr class="memdesc:a97617b01df8aedc07b2ba46ef4988994 inherit pub_methods_classframework_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor.  <a href="#a97617b01df8aedc07b2ba46ef4988994">More...</a><br /></td></tr>
<tr class="separator:a97617b01df8aedc07b2ba46ef4988994 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac934815b59eb1cf1a47bdb114fa86da0 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_object.html#ac934815b59eb1cf1a47bdb114fa86da0">~Object</a> ()</td></tr>
<tr class="memdesc:ac934815b59eb1cf1a47bdb114fa86da0 inherit pub_methods_classframework_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Destructor.  <a href="#ac934815b59eb1cf1a47bdb114fa86da0">More...</a><br /></td></tr>
<tr class="separator:ac934815b59eb1cf1a47bdb114fa86da0 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae19cf04d95b4cabb8c6064375b15337f inherit pub_methods_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_object.html#ae19cf04d95b4cabb8c6064375b15337f">ObjectName</a> (void) const </td></tr>
<tr class="memdesc:ae19cf04d95b4cabb8c6064375b15337f inherit pub_methods_classframework_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Name.  <a href="#ae19cf04d95b4cabb8c6064375b15337f">More...</a><br /></td></tr>
<tr class="separator:ae19cf04d95b4cabb8c6064375b15337f inherit pub_methods_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a49660b572cdbedc6a665d5d396ed00a1 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_object.html#a49660b572cdbedc6a665d5d396ed00a1">ObjectType</a> (void) const </td></tr>
<tr class="memdesc:a49660b572cdbedc6a665d5d396ed00a1 inherit pub_methods_classframework_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Type.  <a href="#a49660b572cdbedc6a665d5d396ed00a1">More...</a><br /></td></tr>
<tr class="separator:a49660b572cdbedc6a665d5d396ed00a1 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8dda2eca639eb56bb2c3f26de04f2678 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="classframework_1_1core_1_1_object.html">Object</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_object.html#a8dda2eca639eb56bb2c3f26de04f2678">Parent</a> (void) const </td></tr>
<tr class="memdesc:a8dda2eca639eb56bb2c3f26de04f2678 inherit pub_methods_classframework_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Parent.  <a href="#a8dda2eca639eb56bb2c3f26de04f2678">More...</a><br /></td></tr>
<tr class="separator:a8dda2eca639eb56bb2c3f26de04f2678 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7fb6234586cd406b3bea93aadf01ba16 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">std::vector&lt; const <a class="el" href="classframework_1_1core_1_1_object.html">Object</a> * &gt; *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_object.html#a7fb6234586cd406b3bea93aadf01ba16">TypeChilds</a> (void) const </td></tr>
<tr class="memdesc:a7fb6234586cd406b3bea93aadf01ba16 inherit pub_methods_classframework_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Childs of the same type.  <a href="#a7fb6234586cd406b3bea93aadf01ba16">More...</a><br /></td></tr>
<tr class="separator:a7fb6234586cd406b3bea93aadf01ba16 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aee8de0c31d51e165fed466a4c8bcf6c4 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">std::vector&lt; const <a class="el" href="classframework_1_1core_1_1_object.html">Object</a> * &gt; *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_object.html#aee8de0c31d51e165fed466a4c8bcf6c4">Childs</a> (void) const </td></tr>
<tr class="memdesc:aee8de0c31d51e165fed466a4c8bcf6c4 inherit pub_methods_classframework_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Childs.  <a href="#aee8de0c31d51e165fed466a4c8bcf6c4">More...</a><br /></td></tr>
<tr class="separator:aee8de0c31d51e165fed466a4c8bcf6c4 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aec1974099e78e731ba9c3dd1ed05de94 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_object.html#aec1974099e78e731ba9c3dd1ed05de94">Information</a> (const char *function, int line, const char *format,...) const </td></tr>
<tr class="memdesc:aec1974099e78e731ba9c3dd1ed05de94 inherit pub_methods_classframework_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Formatted information.  <a href="#aec1974099e78e731ba9c3dd1ed05de94">More...</a><br /></td></tr>
<tr class="separator:aec1974099e78e731ba9c3dd1ed05de94 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abb73af04b52a2ba67a2d2ce1a74330a2 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_object.html#abb73af04b52a2ba67a2d2ce1a74330a2">Warning</a> (const char *function, const char *format,...) const </td></tr>
<tr class="memdesc:abb73af04b52a2ba67a2d2ce1a74330a2 inherit pub_methods_classframework_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Formatted warning.  <a href="#abb73af04b52a2ba67a2d2ce1a74330a2">More...</a><br /></td></tr>
<tr class="separator:abb73af04b52a2ba67a2d2ce1a74330a2 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6f48a765168b2fe4a629234e0b778559 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_object.html#a6f48a765168b2fe4a629234e0b778559">Error</a> (const char *function, const char *format,...) const </td></tr>
<tr class="memdesc:a6f48a765168b2fe4a629234e0b778559 inherit pub_methods_classframework_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Formatted error.  <a href="#a6f48a765168b2fe4a629234e0b778559">More...</a><br /></td></tr>
<tr class="separator:a6f48a765168b2fe4a629234e0b778559 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a56a6221f2ce124d7c53b15a423a47b08 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_object.html#a56a6221f2ce124d7c53b15a423a47b08">ErrorOccured</a> (bool recursive=true) const </td></tr>
<tr class="memdesc:a56a6221f2ce124d7c53b15a423a47b08 inherit pub_methods_classframework_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Has an errror occured?  <a href="#a56a6221f2ce124d7c53b15a423a47b08">More...</a><br /></td></tr>
<tr class="separator:a56a6221f2ce124d7c53b15a423a47b08 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pro-methods"></a>
Protected Member Functions</h2></td></tr>
<tr class="memitem:a13333bf3cc8514fb1edc1991b6a8f923"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1gui_1_1_data_plot.html#a13333bf3cc8514fb1edc1991b6a8f923">AddDataToSend</a> (const <a class="el" href="classframework_1_1core_1_1_i_o_data_element.html">core::IODataElement</a> *element)</td></tr>
<tr class="memdesc:a13333bf3cc8514fb1edc1991b6a8f923"><td class="mdescLeft">&#160;</td><td class="mdescRight">Add an IODataElement to the plot.  <a href="#a13333bf3cc8514fb1edc1991b6a8f923">More...</a><br /></td></tr>
<tr class="separator:a13333bf3cc8514fb1edc1991b6a8f923"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pro_methods_classframework_1_1gui_1_1_send_data"><td colspan="2" onclick="javascript:toggleInherit('pro_methods_classframework_1_1gui_1_1_send_data')"><img src="closed.png" alt="-"/>&#160;Protected Member Functions inherited from <a class="el" href="classframework_1_1gui_1_1_send_data.html">framework::gui::SendData</a></td></tr>
<tr class="memitem:acc01e037a02e1ccd532fb41ad6805edc inherit pro_methods_classframework_1_1gui_1_1_send_data"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1gui_1_1_send_data.html#acc01e037a02e1ccd532fb41ad6805edc">SetSendSize</a> (size_t value)</td></tr>
<tr class="memdesc:acc01e037a02e1ccd532fb41ad6805edc inherit pro_methods_classframework_1_1gui_1_1_send_data"><td class="mdescLeft">&#160;</td><td class="mdescRight">Notify that SenData's datas have changed.  <a href="#acc01e037a02e1ccd532fb41ad6805edc">More...</a><br /></td></tr>
<tr class="separator:acc01e037a02e1ccd532fb41ad6805edc inherit pro_methods_classframework_1_1gui_1_1_send_data"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pro_methods_classframework_1_1gui_1_1_widget"><td colspan="2" onclick="javascript:toggleInherit('pro_methods_classframework_1_1gui_1_1_widget')"><img src="closed.png" alt="-"/>&#160;Protected Member Functions inherited from <a class="el" href="classframework_1_1gui_1_1_widget.html">framework::gui::Widget</a></td></tr>
<tr class="memitem:af78e50b7be98bdd572028b0e47c4509b inherit pro_methods_classframework_1_1gui_1_1_widget"><td class="memTemplParams" colspan="2">template&lt;typename T &gt; </td></tr>
<tr class="memitem:af78e50b7be98bdd572028b0e47c4509b inherit pro_methods_classframework_1_1gui_1_1_widget"><td class="memTemplItemLeft" align="right" valign="top">void&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classframework_1_1gui_1_1_widget.html#af78e50b7be98bdd572028b0e47c4509b">SetPersistentXmlProp</a> (std::string prop, T value)</td></tr>
<tr class="memdesc:af78e50b7be98bdd572028b0e47c4509b inherit pro_methods_classframework_1_1gui_1_1_widget"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set a persistent xml property.  <a href="#af78e50b7be98bdd572028b0e47c4509b">More...</a><br /></td></tr>
<tr class="separator:af78e50b7be98bdd572028b0e47c4509b inherit pro_methods_classframework_1_1gui_1_1_widget"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7f3edf9b759566ed766e96e3b802f3c7 inherit pro_methods_classframework_1_1gui_1_1_widget"><td class="memTemplParams" colspan="2">template&lt;typename T &gt; </td></tr>
<tr class="memitem:a7f3edf9b759566ed766e96e3b802f3c7 inherit pro_methods_classframework_1_1gui_1_1_widget"><td class="memTemplItemLeft" align="right" valign="top">bool&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classframework_1_1gui_1_1_widget.html#a7f3edf9b759566ed766e96e3b802f3c7">GetPersistentXmlProp</a> (std::string prop, T &amp;value)</td></tr>
<tr class="memdesc:a7f3edf9b759566ed766e96e3b802f3c7 inherit pro_methods_classframework_1_1gui_1_1_widget"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get a persistent xml property.  <a href="#a7f3edf9b759566ed766e96e3b802f3c7">More...</a><br /></td></tr>
<tr class="separator:a7f3edf9b759566ed766e96e3b802f3c7 inherit pro_methods_classframework_1_1gui_1_1_widget"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad132417af77a0b84089cc87f7b0a54c9 inherit pro_methods_classframework_1_1gui_1_1_widget"><td class="memTemplParams" colspan="2">template&lt;typename T &gt; </td></tr>
<tr class="memitem:ad132417af77a0b84089cc87f7b0a54c9 inherit pro_methods_classframework_1_1gui_1_1_widget"><td class="memTemplItemLeft" align="right" valign="top">void&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classframework_1_1gui_1_1_widget.html#ad132417af77a0b84089cc87f7b0a54c9">SetVolatileXmlProp</a> (std::string prop, T value, xmlNodePtr node=NULL)</td></tr>
<tr class="memdesc:ad132417af77a0b84089cc87f7b0a54c9 inherit pro_methods_classframework_1_1gui_1_1_widget"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set a volatile xml property.  <a href="#ad132417af77a0b84089cc87f7b0a54c9">More...</a><br /></td></tr>
<tr class="separator:ad132417af77a0b84089cc87f7b0a54c9 inherit pro_methods_classframework_1_1gui_1_1_widget"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3ac7f6fe666efa23167636cc081f7e43 inherit pro_methods_classframework_1_1gui_1_1_widget"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1gui_1_1_widget.html#a3ac7f6fe666efa23167636cc081f7e43">SendXml</a> (void)</td></tr>
<tr class="memdesc:a3ac7f6fe666efa23167636cc081f7e43 inherit pro_methods_classframework_1_1gui_1_1_widget"><td class="mdescLeft">&#160;</td><td class="mdescRight">Send xml.  <a href="#a3ac7f6fe666efa23167636cc081f7e43">More...</a><br /></td></tr>
<tr class="separator:a3ac7f6fe666efa23167636cc081f7e43 inherit pro_methods_classframework_1_1gui_1_1_widget"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Abstract class to display plots on ground station. </p>
</div><h2 class="groupheader">Member Enumeration Documentation</h2>
<a class="anchor" id="ab8052b914d1b7330a7f0b12a7322bc1c"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="classframework_1_1gui_1_1_data_plot.html#ab8052b914d1b7330a7f0b12a7322bc1c">framework::gui::DataPlot::Color_t</a></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Types of colors. </p>
<table class="fieldtable">
<tr><th colspan="2">Enumerator</th></tr><tr><td class="fieldname"><a class="anchor" id="ab8052b914d1b7330a7f0b12a7322bc1ca0d829f4fcfb4f1bc4c40d0b627f72aa3"></a>Red&#160;</td><td class="fielddoc">
<p>red </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="ab8052b914d1b7330a7f0b12a7322bc1ca8fab133d2d6300bcc7aa43519ba80d31"></a>Blue&#160;</td><td class="fielddoc">
<p>blue </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="ab8052b914d1b7330a7f0b12a7322bc1ca1531d101862a5ea9626c0b4d2f329d6d"></a>Green&#160;</td><td class="fielddoc">
<p>green </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="ab8052b914d1b7330a7f0b12a7322bc1cad1b5c35eb68314a63fe481713e19306b"></a>Yellow&#160;</td><td class="fielddoc">
<p>yellow </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="ab8052b914d1b7330a7f0b12a7322bc1caa6d29b92e3e478fa0225edd23d91fcde"></a>Black&#160;</td><td class="fielddoc">
<p>black </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="ab8052b914d1b7330a7f0b12a7322bc1cab521d0c7c10ef458143b70cf0df83028"></a>White&#160;</td><td class="fielddoc">
<p>white </p>
</td></tr>
</table>

</div>
</div>
<h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="a0293190926424ca9b2ce78bbfe5e32c5"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">framework::gui::DataPlot::DataPlot </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classframework_1_1gui_1_1_layout_position.html">LayoutPosition</a> *&#160;</td>
          <td class="paramname"><em>position</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>name</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>type</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Constructor. </p>
<p>Type must agree with predifined (hard coded) types in ground station code. After calling this constructor, position will be deleted as it is no longer usefull. The <a class="el" href="classframework_1_1gui_1_1_data_plot.html" title="Abstract class to display plots on ground station. ">DataPlot</a> will automatically be child of position-&gt;getLayout() <a class="el" href="classframework_1_1gui_1_1_layout.html" title="Abstract class to display a layout on the ground station. ">Layout</a>.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">position</td><td>position </td></tr>
    <tr><td class="paramname">name</td><td>nom </td></tr>
    <tr><td class="paramname">type</td><td>type </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a4f66d787b74b780d1c11460f0c7a888f"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">framework::gui::DataPlot::~DataPlot </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Destructor. </p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a class="anchor" id="a13333bf3cc8514fb1edc1991b6a8f923"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void framework::gui::DataPlot::AddDataToSend </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classframework_1_1core_1_1_i_o_data_element.html">core::IODataElement</a> *&#160;</td>
          <td class="paramname"><em>element</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Add an IODataElement to the plot. </p>
<p>This method registers element for sending.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">element</td><td>element to plot </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="namespaceframework.html">framework</a></li><li class="navelem"><a class="el" href="namespaceframework_1_1gui.html">gui</a></li><li class="navelem"><a class="el" href="classframework_1_1gui_1_1_data_plot.html">DataPlot</a></li>
    <li class="footer">Generated on Tue Apr 12 2016 16:29:00 for Framework by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.7 </li>
  </ul>
</div>
</body>
</html>
